<?php
declare(strict_types = 1);

/**
 * Administration de la galerie.
 *
 * @license https://www.gnu.org/licenses/gpl-3.0.html
 * @link https://www.igalerie.org/
 */
require_once(__DIR__ . '/../includes/prepend.php');
require_once(__DIR__ . '/../includes/admin/classes/Admin.class.php');

App::$scriptName = 'admin';
App::$scriptPath = '/' . CONF_ADMIN_DIR . '/';

// Initialisation.
Admin::start();

// Chargement du template.
Template::start();
$tpl =& Template::$data;
require_once(__DIR__ . '/template/default/'
	. (Auth::$connected ? 'index' : 'connection') . '.tpl.php');
?>